<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">


<hibernate-mapping default-lazy="false" default-cascade="none">
    <class entity-name="SurveyChoice" table="SURVEY_CHOICE" lazy="true" name="gov.va.med.cds.template.generated.surveyscommon.SurveyChoice">
        <id type="java.lang.Long" name="id">
            <column name="SURVEY_CHOICE_ID"/>
            <generator class="sequence" >
				<param name="sequence">survey_choice_seq_id</param>
			</generator>
        </id>


		<property name="choiceNumber" column="CHOICE_NUMBER" type="integer"/>

		<property name="choiceText" column="CHOICE_TEXT" type="java.lang.String" />

    </class>

</hibernate-mapping>
